人人范文网 范文大全

H型钢排版图绘制软件1

发布时间:2020-03-02 23:42:01 来源:范文大全 收藏本文 下载本文 手机版

H型钢排版图绘制软件

V1.0

使 用 说 明 书

一 引言 1.1 编写目的

本说明书为指导技术人员编制H型钢排版图而编写,希望该说明书使他们在使用系统过程中能起到无师自通的作用。本说明书介绍了该软件的操作使用方法。 1.2 背景

H型钢排版图是H型钢施工的重要施工依据,通常绘制是依据图纸在Autocad一笔一画的绘制,每一种规格、类型不同的H型钢都要单独绘制排版图,工作量非常大,极易造成错误。本软件解决了以上的问题,只需输入主要数据,排版图就能轻松生成。编制该软件的重要意义就是为了提高H型钢排版图的绘制时间及准确度问题,据初步估算,一套海上平台上部组块H型钢排版工作需一个技术员最少半个月的时间来完成,而用该软件7天即可完成,为了促进油建科学技术的发展,研发了这款H型钢排版软件,经反复试验,该软件数据输入窗口化、简单明了、操作简便。 1.3参考资料

YB3301-2005《焊接H型钢》

《浅海固定平台建造与检验规范》2004 二 用途 2.1功能

H型钢排版图绘制软件共6个模块,主要根据加宽翼的块数来分类:加宽翼(无)、加宽翼(1块在中间部位)、加宽翼(1块在左边)、加宽翼(1块在右边)、加宽翼(2块)、加宽翼(3块) 菜单界面见图1:

2.2 性能

该系统性能稳定,符合用户要求。 2.3安全保密

系统具有较好的安全保密机制,每人在使用系统前必须先登录,依自己的权限使用系统。 三 运行环境 3.1硬件设备

微机 联想奔三和同等及以上配置的其它机型 打印机 windows支持的打印机 3.2支持软件

EXCEL2003/200

7、VB6.0、Autocad2007-2014

四 使用过程

4.1单击H型钢排版图绘制软件.EXE,打开程序,弹出注册界面。(图2)

4.2未注册软件试用3次。试用结束后,输入注册码,单击【开始注册(S)】。(图3)

4.3弹出注册成功,单击【确定】。(图4)

4.3进入H型钢排版图绘制软件主界面。进入大型储罐排版软件主界面。(图5) 4.3.1单击【请选择H型钢加宽翼类型】旁的小三角弹出类型选择项。

(1)单击【无】弹出H型钢加宽翼(无)类型图片,单击图片进入H型钢加宽翼(无)绘制页面。在文本框中输入相应数据,其中【焊接详图】项可根据图纸进行相应选择。(图6)

(2)单击【排版图绘制】,在AUTOCAD中生成H型钢排版图。(图7)

(3)H型钢如需接板,与H型钢相连接次梁必须错开焊缝,就需在次梁数据框中输入数据,把次梁的位置反应到H型钢上。(图8)

(4)绘制完成后,单击【返回主界面】,返回H型钢排版图绘制软件界面。

代码

主界面:

Dim xlApp As Excel.Application Dim xlBook As Excel.Workbook Dim xlSheet1 As Excel.Worksheet Dim xlSheetX As Excel.Worksheet Private Sub Combo1_Click() If Combo1.text = \"无\" Then Picture1.Picture = LoadPicture(App.Path & \"\\加宽翼[无].jpg\") ElseIf Combo1.text = \"1块在中间部位\" Then Picture1.Picture = LoadPicture(App.Path & \"\\加宽翼[1块在中间部位].jpg\") ElseIf Combo1.text = \"1块在左边\" Then Picture1.Picture = LoadPicture(App.Path & \"\\加宽翼[1块在左边].jpg\") ElseIf Combo1.text = \"1块在右边\" Then Picture1.Picture = LoadPicture(App.Path & \"\\加宽翼[1块在右边].jpg\") ElseIf Combo1.text = \"2块\" Then Picture1.Picture = LoadPicture(App.Path & \"\\加宽翼[2块].jpg\") ElseIf Combo1.text = \"3块\" Then Picture1.Picture = LoadPicture(App.Path & \"\\加宽翼[3块].jpg\") End If End Sub Private Sub Form_Load() Picture1.Picture = LoadPicture(\"\") Combo1.AddItem \"无\" Combo1.AddItem \"1块在中间部位\" Combo1.AddItem \"1块在左边\" Combo1.AddItem \"1块在右边\" Combo1.AddItem \"2块\" Combo1.AddItem \"3块\" On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet1 = xlBook.Worksheets(1) \'第一个表格 Set xlSheetX = xlBook.Worksheets(8) \'第八个表格

xlSheet1.Application.Visible = False \'设置Excel 可见 Text1.text = xlSheet1.Cells(1, 1) Text2.text = xlSheet1.Cells(2, 1) Text3.text = xlSheet1.Cells(3, 1) Text4.text = xlSheet1.Cells(4, 1) xlSheetX.Cells(1, 1) = \"\" xlSheetX.Cells(2, 1) = \"\" xlSheetX.Cells(3, 1) = \"\" xlBook.Save xlApp.Quit Set xlSheet1 = Nothing Set xlSheetX = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Form_Unload(Cancel As Integer) If MsgBox(\"确定要退出程序吗?\", vbYesNo, \"提示\") = vbNo Then Cancel = True End Sub Private Sub Picture1_Click() If Combo1.text = \"无\" Then 加宽翼【无】.Show ElseIf Combo1.text = \"1块在中间部位\" Then 加宽翼【1块在中间部位】.Show ElseIf Combo1.text = \"1块在左边\" Then 加宽翼【1块在左边】.Show ElseIf Combo1.text = \"1块在右边\" Then 加宽翼【1块在右边】.Show ElseIf Combo1.text = \"2块\" Then 加宽翼【2块】.Show ElseIf Combo1.text = \"3块\" Then 加宽翼【3块】.Show End If End Sub Private Sub Text1_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet1 = xlBook.Worksheets(1) \'第一个表格 xlSheet1.Application.Visible = False \'设置Excel 可见 xlSheet1.Cells(1, 1) = Text1.text xlBook.Save xlApp.Quit Set xlSheet1 = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Text2_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet1 = xlBook.Worksheets(1) \'第一个表格 xlSheet1.Application.Visible = False \'设置Excel 可见 xlSheet1.Cells(2, 1) = Text2.text xlBook.Save xlApp.Quit Set xlSheet = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Text3_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet1 = xlBook.Worksheets(1) \'第一个表格 xlSheet1.Application.Visible = False \'设置Excel 可见 xlSheet1.Cells(3, 1) = Text3.text xlBook.Save xlApp.Quit Set xlSheet = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Text4_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet1 = xlBook.Worksheets(1) \'第一个表格 xlSheet1.Application.Visible = False \'设置Excel 可见 xlSheet1.Cells(4, 1) = Text4.text xlBook.Save xlApp.Quit Set xlSheet = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub 加宽翼无:

Dim CiLiangShuJu As Double \'定义次梁数据 Dim textObj As AcadText \'多行文字 Dim textString As String \'多行文字

Dim insertionPoint(0 To 2) As Double \'多行文字 Dim Gao As Double \'多行文字

Dim A1(0 To 2) As Double \'线条端点1 Dim A2(0 To 2) As Double \'线条端点2 Dim lineObj As AcadLine Dim lineObj1(3) As AcadLine Dim lineObj10(3) As AcadLine \'定义Autocad中字体样式 Dim typeFace As String Dim Bold As Boolean Dim Italic As Boolean Dim charSet As Long Dim PitchandFamily As Long Dim dimObj As AcadDimAligned \'标注 Dim pt1(2) As Double \'标注 Dim pt2(2) As Double \'标注 Dim pt3(2) As Double \'标注 Dim text As String \'标注 Dim CanShu1 As Double \'参数1 Dim CanShu2 As Double \'参数2 Dim CanShu3 As Double \'参数3 Dim CanShu4 As Double \'参数4 Dim CanShu5 As Double \'H型钢长或高(哪个大以哪个为基准) Dim CanShu6 As Double \'放大倍数

Dim CanShu7 As Double \'焊接图用H型钢放大倍数 Dim CanShu8 As Double \'焊接图用判断是否有节点图 Dim CanShu9 As Double \'焊接图用判断是否有节点图 Dim CanShu11 As Double \'排版图放大系数 Dim N1, N2, N3 \'用来提取H型钢高度数据的 Dim linetypeName As String \'定义图层线型 Dim i As Integer Dim II1 As Integer Dim II2 As Integer Dim II3 As Integer Dim II4 As Integer Dim II5 As Integer Dim I1 As Double Dim II10 As Double Dim II11 As Double Dim hatchObj As AcadHatch \' 定义阴影 Dim patternName As String \' 定义阴影 Dim PatternType As Long \' 定义阴影 Dim bAociativity As Boolean \' 定义阴影 Dim outerLoop1(0 To 3) As AcadEntity \' 定义阴影 Dim outerLoop2(0 To 3) As AcadEntity \' 定义阴影 Dim outerLoop3(0 To 3) As AcadEntity \' 定义阴影 Dim outerLoop4(0 To 3) As AcadEntity \' 定义阴影 Dim circleObj1(0 To 0) As AcadEntity Dim center(0 To 2) As Double Dim radius As Double Dim splineObj As AcadSpline \'画样条曲线 Dim startTan(0 To 2) As Double \'画样条曲线 Dim endTan(0 To 2) As Double \'画样条曲线 Dim fitPoints(0 To 14) As Double \'画样条曲线 Dim ArcObj As AcadArc \'定义圆弧 Dim CircleObj As AcadCircle \'定义圆 Dim centerPoint(0 To 2) As Double \'圆弧起点 Dim radius1 As Double \'圆弧半径

Dim startAngleInRadian As Double \'起始角度换算成弧度 Dim endAngleInRadian As Double \'终点角度换算成弧度 Dim mirrorObj As AcadLWPolyline \'镜像 Dim blockObj As AcadBlock \'定义为块所用变量

Dim insertionPnt(0 To 2) As Double \'定义为块所用变量 Dim blockRefObj As AcadBlockReference \'定义为块所用变量 Dim xlApp As Excel.Application Dim xlBook As Excel.Workbook Dim xlSheet2 As Excel.Worksheet Dim xlSheetX As Excel.Worksheet Dim xlSheet9 As Excel.Worksheet Private Sub Command1_Click() 主界面.Show 加宽翼【无】.Hide End Sub Private Sub Command2_Click() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheetX = xlBook.Worksheets(8) \'第八个表格 Set xlSheet9 = xlBook.Worksheets(9) \'第九个表格 xlSheetX.Application.Visible = False \'设置Excel 可见 CanShu1 = ZZ1() CanShu2 = ZZ2() CanShu3 = ZZ3() CanShu4 = ZZ4() CanShu5 = ZZ5() CanShu6 = ZZ6() CanShu7 = ZZ7() CanShu8 = ZZ8() CanShu9 = ZZ9() II10 = xlSheetX.Cells(1, 1) + Val(主界面.Text5.text) + xlSheetX.Cells(2, 1) II11 = (350 * CanShu61203.5) * CanShu6Val(Text400.text) * 2)) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = II10 A1(1) = -(Val(Text400.text) + (Val(Text100.text)Val(Text400.text) * 2)) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = Val(Text1.text) + II10 A1(1) = -Val(Text400.text) A2(0) = Val(Text1.text) + II10 A2(1) = -(Val(Text400.text) + (Val(Text100.text)Val(Text400.text) * 2)) A2(0) = Val(Text1.text) + II10 A2(1) = -(Val(Text400.text) + (Val(Text100.text)Val(Text400.text) * 2)) A2(0) = II10 A2(1) = -Val(Text100.text) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = II10 A1(1) = -Val(Text100.text) A2(0) = Val(Text1.text) + II10 A2(1) = -Val(Text100.text) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = Val(Text1.text) + II10 A1(1) = -(Val(Text400.text) + (Val(Text100.text)Val(Text400.text) * 2)) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = II10 A1(1) = -((CanShu1 * 2 + Val(Text100.text) + Val(Text200.text)) + (Val(Text100.text)Val(Text400.text) * 2)) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = Val(Text1.text) + II10 A1(1) = -(CanShu1 * 2 + Val(Text100.text) + Val(Text200.text)) A2(0) = Val(Text1.text) + II10 A2(1) = -((CanShu1 * 2 + Val(Text100.text) + Val(Text200.text)) + (Val(Text100.text)Val(Text400.text) * 2)) A2(0) = Val(Text1.text) + II10 A2(1) = -((CanShu1 * 3 + Val(Text100.text) + Val(Text200.text)) + (Val(Text100.text)Val(Text400.text) * 2)) A2(0) = II10 A2(1) = -((CanShu1 * 3 + Val(Text100.text) + Val(Text200.text) * 2) + (Val(Text100.text)Val(Text400.text) * 2)) A2(0) = Val(Text1.text) + II10 A2(1) = -((CanShu1 * 3 + Val(Text100.text) + Val(Text200.text) * 2) + (Val(Text100.text)Val(Text400.text) * 2)) A2(0) = Val(Text1.text) + II10 A2(1) = -((CanShu1 * 3 + Val(Text100.text) + Val(Text200.text) * 2) + (Val(Text100.text)Val(Text12.text)) / 2 insertionPoint(0) = CanShu2 + II10 insertionPoint(1) = CanShu3 * 1.5 insertionPoint(2) = 0 Gao = CanShu3 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"余量\" & (Val(Text1.text)Val(Text400.text) * 2) * 0.6) insertionPoint(2) = 0 Gao = CanShu3 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"W1\" insertionPoint(0) = Val(Text1.text) / 2 + II10 insertionPoint(1) = -((CanShu1 * 2 + Val(Text100.text) + Val(Text200.text)) + (Val(Text100.text)Val(Text400.text) * 5)) insertionPoint(2) = 0 Gao = CanShu3 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"D1\" insertionPoint(0) = Val(Text1.text) / 2 + II10 insertionPoint(1) = -((CanShu1 * 3 + Val(Text100.text) + Val(Text200.text) * 2) + (Val(Text100.text)Val(Text400.text) * 2)) pt1(2) = 0 pt2(0) = Val(Text1.text) + II10 pt2(1) = -((CanShu1 * 2 + (Val(Text100.text))) + Val(Text200.text) + (Val(Text100.text)Val(Text400.text) * 2) + CanShu1 / 2) pt3(2) = 0 Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(pt1, pt2, pt3) dimObj.TextHeight = CanShu4 \'标注尺寸线上文字的大小

dimObj.ArrowheadSize = CanShu4 \'指定尺寸线箭头、引线箭头和转多段线的大小 dimObj.ExtensionLineExtend = Val(Text1.text) / 100 \'指定尺寸界线超出尺寸线的距离

dimObj.ExtensionLineOffset = 0 \'指定尺寸界线到定义该标注的原点的偏移距离 \'dimObj.TextOverride = 100 \'更改标注的文本 pt1(0) = Val(Text1.text) + II10 pt1(1) = -(CanShu1 * 2 + Val(Text100.text) + Val(Text200.text)) pt1(2) = 0 pt2(0) = Val(Text1.text) + II10 pt2(1) = -((CanShu1 * 2 + Val(Text100.text) + Val(Text200.text)) + (Val(Text100.text)Val(Text400.text) * 2)) pt1(2) = 0 pt2(0) = Val(Text1.text) + II10 pt2(1) = -((CanShu1 * 3 + (Val(Text100.text))) + Val(Text200.text) * 2 + (Val(Text100.text)Val(Text400.text) * 2) + CanShu1 / 2) pt3(2) = 0 Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(pt1, pt2, pt3) dimObj.TextHeight = CanShu4 \'标注尺寸线上文字的大小

dimObj.ArrowheadSize = CanShu4 \'指定尺寸线箭头、引线箭头和转多段线的大小 dimObj.ExtensionLineExtend = Val(Text1.text) / 100 \'指定尺寸界线超出尺寸线的距离

dimObj.ExtensionLineOffset = 0 \'指定尺寸界线到定义该标注的原点的偏移距离 \'dimObj.TextOverride = 100 \'更改标注的文本 pt1(0) = Val(Text1.text) + II10 pt1(1) = -((CanShu1 * 3 + Val(Text100.text) + Val(Text200.text)) + (Val(Text100.text)Val(Text400.text) * 2)) pt2(2) = 0 pt3(0) = Val(Text1.text) + CanShu4 * 1.5 + II10 pt3(1) = 0 pt3(2) = 0 Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(pt1, pt2, pt3) dimObj.TextHeight = CanShu4 \'标注尺寸线上文字的大小

dimObj.ArrowheadSize = CanShu4 \'指定尺寸线箭头、引线箭头和转多段线的大小 dimObj.ExtensionLineExtend = Val(Text200.text) / 10 \'指定尺寸界线超出尺寸线的距离

dimObj.ExtensionLineOffset = 0 \'指定尺寸界线到定义该标注的原点的偏移距离 \'dimObj.TextOverride = 100 \'更改标注的文本 \'结束标注下翼板 ZoomAll End Sub Private Sub Command10000_Click() On Error Resume Next Set newACADApp = GetObject(, \"AutoCAD.Application\") If Err Then Err.Clear Set newACADApp = CreateObject(\"AutoCAD.Application\") If Err Then MsgBox Err.Description Exit Sub End If End If newACADApp.WindowState = acMax newACADApp.Visible = True Set newACADApp = GetObject(, \"AutoCAD.Application\") Set ThisDrawing = newACADApp.ActiveDocument Dim XXC0 As AcadLayer \'定义标题栏

Set XXC0 = ThisDrawing.Layers.Add(\"标题栏\") \'设置图层 ThisDrawing.ActiveLayer = XXC0 \'把当前图层设为标题栏 \' 用SetFont方法获取当前设置的默认值

ThisDrawing.ActiveTextStyle.GetFont typeFace, Bold, Italic, charSet, PitchandFamily \' 更改字体的字样 typeFace = \"楷体\" ThisDrawing.ActiveTextStyle.SetFont typeFace, Bold, Italic, charSet, PitchandFamily ThisDrawing.Regen acActiveViewport \'结束定义字体样式 \'绘制图纸外边框

A1(0) = -(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A1(1) = -(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = -(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)1203.5) * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) A2(0) = -(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 210 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 297 * CanShu61203.5) * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) A2(0) = 297 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)1203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 210 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) \'外边框绘制完成 \'绘制图纸内边框

A1(0) = 17.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 3.5 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 17.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 206.5 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 293.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 206.5 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 17.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 206.5 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) \'内边框绘制完成 \'绘制标题栏

A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 35.3 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 14.1 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2)

A1(0) = 183.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 203.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 223.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 243.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 263.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 273.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 51.2 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 263.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 14.1 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 19.4 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 24.7 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = 30 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) For I1 = 5.3 To 15.9 Step 5.3 A1(0) = 173.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 A2(1) = (35.3 + I1) * CanShu6Val(Text400.text))) _ + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) Set lineObj = ThisDrawing.ModelSpace.AddLine(A1, A2) \'H型钢尺寸部分边框

Next textString = \"日期\" insertionPoint(0) = 175.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 21.05 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"制图\" insertionPoint(0) = 175.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 31.65 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"来料规格\" insertionPoint(0) = 188.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 15.75 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"单位工程名称\" insertionPoint(0) = 204.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 26.35 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"下料尺寸\" insertionPoint(0) = 208.5 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 15.75 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 1.5 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = 主界面.Text2.text insertionPoint(0) = 225 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 26.35 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 1.5 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"炉号\" insertionPoint(0) = 232 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 31.65 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"档案号\" insertionPoint(0) = 264 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 21.05 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"件 数\" insertionPoint(0) = 264 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 31.65 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = 主界面.Text3.text insertionPoint(0) = 275 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 21.05 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = Text9.text insertionPoint(0) = 282 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 31.65 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = Text2.text & \"-\" & Text3.text & \"-\" & Text4.text insertionPoint(0) = (17.5 * CanShu61203.5) * CanShu61203.5) * CanShu62.8) * 5 * CanShu6) / 2 + II10 insertionPoint(1) = 185 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 5 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"构件说明:\" insertionPoint(0) = 200 * CanShu61203.5) * CanShu6(((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)3.5((Val(Text100.text) + (CanShu1 / 2 * 7) + Val(Text200.text) * 2) + (Val(Text100.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2 + (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 185 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) textString = \"

2、两端比设计尺寸各加\" & (Val(Text1.text)(((29717.5(Val(Text1.text) + CanShu2)) / 2+ (17.5 * CanShu6) + CanShu2) + II10 insertionPoint(1) = 180 * CanShu6Val(Text400.text))) + (((2103.5) * CanShu6)Val(Text400.text)))) / 2) insertionPoint(2) = 0 Gao = 2 * CanShu6 Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, Gao) \'标题栏绘制完成 ZoomAll End Sub

Private Sub Form_Load() Set Image2.Picture = Nothing On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet2 = xlBook.Worksheets(2) \'第二个表格 Set xlSheetX = xlBook.Worksheets(8) \'第八个表格 xlSheet2.Application.Visible = False \'设置Excel 可见 xlSheetX.Application.Visible = False \'设置Excel 可见 Text15.text = xlSheet2.Cells(1, 1) Text14.text = xlSheet2.Cells(2, 1) Text400.text = xlSheet2.Cells(3, 1) Text17.text = xlSheet2.Cells(4, 1) Text16.text = xlSheet2.Cells(5, 1) Text300.text = xlSheet2.Cells(6, 1) Text2.text = xlSheet2.Cells(7, 1) Text3.text = xlSheet2.Cells(8, 1) Text4.text = xlSheet2.Cells(9, 1) Text9.text = xlSheet2.Cells(10, 1) Text100.text = xlSheet2.Cells(11, 1) Text200.text = xlSheet2.Cells(12, 1) Text1.text = xlSheet2.Cells(13, 1) Text12.text = xlSheet2.Cells(14, 1) Text13.text = xlSheet2.Cells(15, 1) Text20.text = xlSheet2.Cells(16, 1) Text21.text = xlSheet2.Cells(17, 1) Text22.text = xlSheet2.Cells(18, 1) Text23.text = xlSheet2.Cells(19, 1) Text24.text = xlSheet2.Cells(20, 1) Text25.text = xlSheet2.Cells(21, 1) Text19.text = xlSheet2.Cells(22, 1) Text18.text = xlSheet2.Cells(23, 1) xlBook.Save xlApp.Quit Set xlSheet2 = Nothing Set xlSheetX = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Text13_Change() If Val(Text13.text) = 0 Then Image2.Picture = LoadPicture(App.Path & \"\\节点图2.jpg\") Text24.Visible = True Text25.Visible = True Text18.Visible = False Text19.Visible = False Text20.Visible = False Text21.Visible = False Text22.Visible = False Text23.Visible = False ElseIf Val(Text13.text) = 1 Then Image2.Picture = LoadPicture(App.Path & \"\\节点图1.jpg\") Text18.Visible = True Text19.Visible = True Text20.Visible = True Text21.Visible = True Text22.Visible = True Text23.Visible = True Text24.Visible = False Text25.Visible = False Else Set Image2.Picture = Nothing End If End Sub Private Sub Text15_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet2 = xlBook.Worksheets(2) \'第二个表格 xlSheet2.Application.Visible = False \'设置Excel 可见 xlSheet2.Cells(1, 1) = Text15.text xlBook.Save xlApp.Quit Set xlSheet2 = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Text14_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet2 = xlBook.Worksheets(2) \'第二个表格 xlSheet2.Application.Visible = False \'设置Excel 可见 xlSheet2.Cells(2, 1) = Text14.text xlBook.Save xlApp.Quit Set xlSheet2 = Nothing Set xlBook = Nothing Set xlApp = Nothing Exit Sub prcERR: Debug.Print Err.Number & \":\" & Err.Description End Sub Private Sub Text400_LostFocus() On Error Resume Next Set xlApp = GetObject(, \"Excel.Application\") If Err.Number 0 Then Set xlApp = CreateObject(\"Excel.Application\") On Error GoTo prcERR Set xlBook = xlApp.Workbooks.Open(App.Path & \"\\XingGangPaiBanTu.xls\") \'打开本地文件夹中的EXCEL文件

Set xlSheet2 = xlBook.Worksheets(2) \'第二个表格 xlSheet2.Application.Visible = False \'设置Excel 可见 xlSheet2.Cells(3, 1) = Text400.text xlBook.Save xlApp.Quit Set xlSheet2 = Nothing Set xlBook = Nothing

H型钢材质量表

H型钢QC检验总结

H型钢除锈防腐施工方案

I型钢和H型钢的区别

H型钢箱型梁柱加工工艺.

H型钢生产加工车间质量规章制度

ADS_版图仿真软件经验总结

钢构车间各岗位职责及H型钢生产工艺

卡通漫画专用绘制软件与技巧简介

软件测试V型 W型 X型 H型

H型钢排版图绘制软件1
《H型钢排版图绘制软件1.doc》
将本文的Word文档下载到电脑,方便编辑。
推荐度:
点击下载文档
相关专题 h型钢示意图 型钢
点击下载本文文档